Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque
Class NoRowsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.torque.TorqueException
                  org.apache.torque.NoRowsException

All Implemented Interfaces:
  Serializable

    public class NoRowsException

extends TorqueException

This exception indicates that no rows were returned but at least one should have been returned.

Version:
  $Id: NoRowsException.java 1351125 2012-06-17 16:51:03Z tv $
Author:
  Quinton McCombs
See Also:
  Serialized Form

Constructor Summary
`NoRowsException()` Constructs a new `TorqueException` without specified detail message.
`NoRowsException(String msg)` Constructs a new `TorqueException` with specified detail message.
`NoRowsException(String msg, Throwable nested)` Constructs a new `TorqueException` with specified detail message and nested `Throwable`.
`NoRowsException(Throwable nested)` Constructs a new `TorqueException` with specified nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoRowsException

    public NoRowsException()

  Constructs a new `TorqueException` without specified detail message.

### NoRowsException

    public NoRowsException(String msg)

  Constructs a new `TorqueException` with specified detail message.

  Parameters:
    `msg` - the error message.

### NoRowsException

    public NoRowsException(Throwable nested)

  Constructs a new `TorqueException` with specified nested `Throwable`.

  Parameters:
    `nested` - the exception or error that caused this exception to be thrown.

### NoRowsException

    public NoRowsException(String msg,
                           Throwable nested)

  Constructs a new `TorqueException` with specified detail message and nested `Throwable`.

  Parameters:
    `msg` - the error message.
    `nested` - the exception or error that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.